package registrojdbc;

import java.awt.*;
import java.awt.event.*;

public abstract class InterfaceUsuario {
    
  	protected Manejador manejador;
  	protected Pantalla pantalla;

    public InterfaceUsuario(Manejador m, Pantalla p) {
        manejador = m;
        pantalla = p;
    }

    public abstract void desplegarPantalla(Pantalla p);

    public void enviarEvento(String evento) {
	System.out.println("InterfaceUsuario Evento: "+evento);
        if (manejador != null)
            manejador.manejarEvento(evento);
        else
            System.out.println("Manejador nulo");
    }

    public abstract void escribirElementos(Pantalla p, Datos datos);

    public void inicializar() {}

    public abstract void leerElementos(Pantalla p, Datos datos);
    public void setManejador (Manejador m) { manejador = m; }

    public abstract String leerTexto(Pantalla p, String name) ;
}
