package registrojdbc;

import java.awt.*;
import java.awt.event.*;

public class InterfaceUsuarioFrame extends InterfaceUsuario {

  private ReservacionesFrame frame;

  public InterfaceUsuarioFrame(Manejador m, Pantalla p) {
      super(m,p);
      frame = new ReservacionesFrame(this);
  }
  public void desplegarPantalla(Pantalla p) {
    if (p != null) {
        pantalla = p;
    	if (frame != null)
      		frame.desplegarPantalla(p);
    }
    else
        System.out.println("Pantalla Nula");
  }

  public void escribirElementos(Pantalla p,Datos datos) {
	if (p != null)
            p.escribirElementos(datos);
  }
    public ReservacionesFrame getReservacionesFrame() { return frame; }

    public void leerElementos(Pantalla p, Datos datos) {
	if (p != null)
            p.leerElementos(datos);
    }

    public String leerTexto(Pantalla p,String str) {
      return p.leerTexto(str);
    }
}
