package registrojdbc;

import java.util.*;

abstract class Pantalla {
  protected InterfaceUsuario interfaceUsuario;

  public abstract void inicializarInterfaceUsuario();
  
  public abstract void borrarPantalla();
  public abstract void refrescarPantalla();
  public abstract void crearPantalla();

  public abstract void leerElementos(Datos datos);
  public abstract void escribirElementos(Datos datos);
  public abstract String leerTexto(String str);
  
  public void setInterfaceUsuario(InterfaceUsuario iu) { interfaceUsuario = iu; }
}
