package registrojdbc;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class ReservacionesFrame extends JFrame implements ActionListener
{
  private InterfaceUsuarioFrame interfaceUsuario;
  public ReservacionesFrame(InterfaceUsuarioFrame iu) {
    setSize(800,600);
    setBackground(Color.lightGray);
    interfaceUsuario = iu;
  }
  public void actionPerformed(ActionEvent event) {
    System.out.println("ReservacionesFrame Action: "+event.getActionCommand());
    if (interfaceUsuario != null)
      interfaceUsuario.enviarEvento(event.getActionCommand());
  }

  public void desplegarPantalla(Pantalla p) {
    if (p != null) {
        p.borrarPantalla(); 
        p.refrescarPantalla();

	setVisible(true);
    }
    else
        System.out.println("Pantalla Nula");
  }
}
